Skip to main content
PUT
/
v1
/
admin
/
assistant
/
update
/
{assistantId}
Update AI Assistant
curl --request PUT \
  --url https://api.voice-agents.miraiminds.co/v1/admin/assistant/update/{assistantId} \
  --header 'Content-Type: application/json' \
  --header 'workspace: <workspace>' \
  --header 'x-private-key: <api-key>' \
  --header 'x-public-key: <api-key>' \
  --data '
{
  "name": "My Abandoned Cart Assistant"
}
'
{
  "assistantId": "<string>"
}

Authorizations

x-public-key
string
header
required
x-private-key
string
header
required

Headers

x-public-key
string
required
x-private-key
string
required
workspace
string
required

Path Parameters

assistantId
string
required

Body

application/json

All fields are optional. Variant type cannot be changed.

name
string
Maximum string length: 40
variant
object

Only config can be updated — type cannot be changed.

agent
object
analysisPlan
object
icpContext
object
callSettings
object
knowledgeBase
object

Combined knowledge base containing both documents and FAQ entries.

Response

Assistant Updated

assistantId
string